@import url('https://fonts.googleapis.com/css?family=Roboto:400,400i,500,500i&display=swap');

:root {
  --space: 1rem;
  /* font family */
  --font-primary: 'Roboto', sans-serif;
  --font-secondary: 'Roboto Slab', serif;

    /* perfect triangle */
  --text-base-size: 1rem;
  --line-width: 40rem;
  --base-line-height: 1.666;

/*  type scale */
  --text-scale-ratio: 1.3;

  /*
  --text-xs: calc((1em / var(--text-scale-ratio)) / var(--text-scale-ratio));
  --text-sm: calc(var(--text-xs) * var(--text-scale-ratio));
  --text-md: calc(var(--text-sm) * var(--text-scale-ratio) * var(--text-scale-ratio));
  --text-lg: calc(var(--text-md) * var(--text-scale-ratio));
  --text-xl: calc(var(--text-lg) * var(--text-scale-ratio));
  --text-xxl: calc(var(--text-xl) * var(--text-scale-ratio));
  --text-xxxl: calc(var(--text-xxl) * var(--text-scale-ratio));
  --text-mega: calc(var(--text-xxxl) * var(--text-scale-ratio));

  */

  --text-xs: calc(var(--text-sm) / var(--text-scale-ratio));
  --text-sm: calc(var(--text-base-size) / var(--text-scale-ratio));

  --text-md: calc(var(--text-base-size) * var(--text-scale-ratio));

  --text-lg: calc(var(--text-md) * var(--text-scale-ratio));
  --text-xl: calc(var(--text-lg) * var(--text-scale-ratio));
  --text-xxl: calc(var(--text-xl) * var(--text-scale-ratio));
  --text-xxxl: calc(var(--text-xxl) * var(--text-scale-ratio));
  --text-mega: calc(var(--text-xxxl) * var(--text-scale-ratio));



  /*Vertical Rythm*/

  --heading-line-height: 1.2;
  --quote-line-height: 1.3;

}


body {
  font-size: var(--text-base-size);
  font-family: var(--font-primary);
  line-height: var(--base-line-height);
}

.main-article > * {
  margin: calc(var(--base-line-height) * 1em) 0;
  font-weight: normal;
}

.text-mega {
  font-size: var(--text-mega);
  font-family: var(--font-secondary);
  line-height: var(--heading-line-height);
  margin-top: calc(var(--base-line-height) * 2em);
  letter-spacing: -2px;
}

.text-xxxl {
  font-size: var(--text-xxxl);
  font-family: var(--font-secondary);
  line-height: var(--heading-line-height);
  margin-top: calc(var(--base-line-height) * 1.5em);
  letter-spacing: -2px;
}

.text-xxl {
  font-size: var(--text-xxl);
  font-family: var(--font-secondary);
  margin-top: calc(var(--base-line-height) * 2em);
  line-height: var(--heading-line-height);
  letter-spacing: -2px;
}

.text-xl {
  font-size: var(--text-xl);
  font-family: var(--font-secondary);
  line-height: var(--heading-line-height);
}

.text-lg {
  font-size: var(--text-lg);
  font-family: var(--font-secondary);
  line-height: var(--heading-line-height);
}

.text-md {
  font-size: var(--text-md);
  font-family: var(--font-secondary);
  line-height: var(--heading-line-height);
}

.text-base {
  font-size: var(--text-base-size);
}

.text-sm, small {
  font-size: var(--text-sm);
}

.text-xs {
  font-size: var(--text-xs);
}

.main-article p + p{
  text-indent: 1rem;
}

.big-quote{
  font-family: var(--font-primary);
  line-height: var(--quote-line-height);
  float: right;
  font-weight: 300;
  color: red;
  margin-top: 0;
  margin-left: calc(var(--space)*2);
}

.note::before {
  content: '';
  display: block;
  border-top: 4px solid #1f1f1f;
  width: 50px;
}

.note p {
  text-indent: 0;
}

@media (min-width:320px){

  :root{
    /* perfect triangle
    --text-base-size: 1.125em;
    --line-width: 40rem;
    --base-line-height: 1.5;
    */
    --text-base-size: 1.125rem;
    --line-width: 40rem;
    --base-line-height: 1.6;
  }
  /*text-xxxl size */
  .text-xxxl{
    font-size: var(--text-xl);
  }

}


@media (min-width:576px){ }

@media (min-width:768px){ }

@media (min-width:992px){

  .text-xxxl{
    font-size: var(--text-xxxl);
  }

  .main-article{
    /*max-width: 45rem;*/
  }

  .main-article p,
  .main-article h1,
  .main-article h2,
  .main-article h3,
  .main-article h4
  {
    max-width: var(--line-width);
  }

  .big-quote{
    max-width: 18rem;
    line-height: 1.3;
  }
}

@media (min-width:1200px){ }
